Page MenuHomePhabricator

Requesting shell access and access to groups 'analytics-privatedata-users' and 'researchers' for Jksamra
Closed, ResolvedPublic

Description

Hi, I need shell access as well as access to 'analytics-privatedata-users' and 'researchers' to work with fundraising's banner history data.

Original ticket describing need for access: https://phabricator.wikimedia.org/T139764

Username: Jksamra
Public key:
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQD2q9U+VYKkFz/WjwG0B+dF01CE4l8NZgBDXGU4AYXqxFk7Vuz2lWTEOeij4r8UgmSsdqq65yOfZYUtjYRm8iHdoIUufWar2XORcBCWqNMeRnId/XX9kMNefzhfl2z7j7UtiAVPsIJZQ0nSFwYY6AxrJdmpBOvinwz8X47FL955/ig4gZvvvV1qzBJ4pvx54U3/e7fwcMGpYrxCUoWuAgIYsc2OS9rW5meBln2bVlJjWRRcid5u9ZM9Za6Jqy/2OIrwhG2AzjpO+5RerflbiVAb6pP7cjU4t+4Cg8fzPTfXuwZ6sjEq6sWJkaz9BaQKC8LDC+nTugokNRlhNj/XxAe3 jasmeetsamra@Jasmeets-MacBook.local

@MeganHernandez_WMF Could you approve access?

Event Timeline

Jksamra created this task.Jul 15 2016, 2:07 AM
Restricted Application added a project: Operations. · View Herald TranscriptJul 15 2016, 2:07 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Restricted Application removed a subscriber: Zppix. · View Herald TranscriptJul 15 2016, 9:07 AM

@Jksamra there's a poorly explained step in the sign up process, which is that you also need a wikitech/labs user--this process generates your UID. Can you go there "Join Wikitech" toward the bottom, and add the user info to this ticket?

https://wikitech.wikimedia.org/wiki/Special:UserLogin

@Jgreen Thanks
wikitech username: Jksamra
shell name: jsamra

elukey added a subscriber: elukey.Jul 20 2016, 12:26 PM

Thanks @Jksamra, now we'd need manager's approval to proceed!

approved thank you!

Change 300196 had a related patch set uploaded (by Dzahn):
admin: add shell account for Jasmeet Samra

https://gerrit.wikimedia.org/r/300196

Change 300196 merged by Dzahn:
admin: add shell account for Jasmeet Samra

https://gerrit.wikimedia.org/r/300196

Change 300678 had a related patch set uploaded (by Dzahn):
admin: add jsamra to analytics-privatedata-users and researchers

https://gerrit.wikimedia.org/r/300678

Dzahn claimed this task.Jul 26 2016, 1:53 AM
Dzahn added a subscriber: Jgreen.
Dzahn closed this task as Resolved.Jul 26 2016, 1:55 AM

user has been created on bastions, stat1002 (and elsewhere where the groups are used)

[bast1001:~] $ id jsamra
uid=15103(jsamra) gid=500(wikidev) groups=500(wikidev),707(bastiononly)

[stat1002:~] $ id jsamra
uid=15103(jsamra) gid=500(wikidev) groups=500(wikidev),731(analytics-privatedata-users)